<div fxLayout="column" id="scroll" style="max-height: 81vh; overflow-y: auto">
  <ng-container *ngIf="transactions.length  > 0; else showLoading">
    <div fxLayout="row" style="padding: 20px 20px 20px 20px" fxLayoutAlign="space-between center">
      <h4>{{ 'TRANSACTION' | translate }}</h4>
      <h4 style="color: green">{{ 'BALANCE' | translate }}: {{meta?.pagination.total}} DA</h4>
    </div>
    <div *ngFor="let trans of transactions" fxLayout="row" fxLayoutAlign="space-between center"
      style="font-size: 13px; padding: 10px; border: 1px solid rgba(0, 0, 0, 0.1)">
      <span>{{trans?.data?.order_number}}</span>
      <span>{{trans?.created.date | date :'MM/dd/yy hh:mm'}}</span>
      <div style="text-align: center">
        <div>{{trans?.staff?.name}}</div>
        <div>{{trans?.data?.order_price}} DA</div>
      </div>
      <span [ngClass]="{'greenText': trans?.amount >=0, 'redText' : trans?.amount < 0  }"> {{trans?.amount}} DA </span>
      <span><b>{{trans?.balance}} DA</b></span>
    </div>
  </ng-container>
  <nav aria-label="Page navigation example" style="padding: 15px">
    <ul class="pagination justify-content-center">
      <li class="page-item " [ngClass]="{'disabled': activePage === 1 }">
        <a class="page-link" tabindex="-1" (click)="nextPage(activePage-1)">{{ 'PREVIOUS' | translate }}</a>
      </li>

      <li class="pageItem" *ngFor="let page of pages" [ngClass]="{'active':page === activePage }">
        <a class="page-link" (click)="nextPage(page)">{{page}}</a>
      </li>

      <li class="page-item ">
        <a class="page-link" (click)="nextPage(activePage+1)">{{ 'NEXT' | translate }}</a>
      </li>
    </ul>
  </nav>
  <ng-template #showLoading>
    <app-loading-spinner></app-loading-spinner>
  </ng-template>

</div>